package ch.jp.robwar;

/**
 *
 * @author JP Martin
 * @date 8.16.1998
 */
public class Stimuli implements java.io.Serializable {
  /**
   * true whenever the robot hit an obstacle
   * (excluding bullets and rockets)
   */
  public boolean hitObstacle;
  /**
   * true if any robot in the game fired a shot (bullet) during the previous
   * round.
   */
  public boolean heardShot;
  /**
   * true if any robot fired a rocket during the previous round
   */
  public boolean heardRocketLaunch; 
  /**
   * true if any robot was hit by a bullet during the previous round.
   */
  public boolean heardImpact;
  /**
   * true if this robot was hit by a bullet during the previous round
   */
  public boolean feltImpact;
  
  public int time;
  
  public Stimuli() {
    hitObstacle=false;
    heardShot=false;
    heardRocketLaunch=false;
    heardImpact=false;
    feltImpact=false;
    time=0;
  }
  
  public void mix(Stimuli w) {
    hitObstacle=hitObstacle||w.hitObstacle;
    heardRocketLaunch=heardRocketLaunch||w.heardRocketLaunch;
    heardShot=heardShot||w.heardShot;
    heardImpact=heardImpact||w.heardImpact;
    feltImpact=feltImpact||w.feltImpact;
    /* time unchanged */
  }
}